Summary: Milter helper for Amavisd-new
Name: amavisd-milter
Version: 1.6.1
Release: 1%{?dist}
License: Petr Rehor <rx@rx.cz>. All rights reserved.
Group: System Environment/Daemons
URL: http://amavisd-milter.sourceforge.net/

Vendor: Amavisd-new

Source: http://sourceforge.net/projects/amavisd-milter/files/amavisd-milter/amavisd-milter-%{version}/amavisd-milter-%{version}.tar.gz
Source1: amavisd-milter.sysconfig
Source2: amavisd-milter.init
Source3: amavisd-milter.service
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%if 0%{?rhel} < 7
# EL6 uses sys-v-init (actually upstart)
%bcond_without sysvinit
%bcond_with systemd

%else
# EL7 uses systemd
%bcond_with sysvinit
%bcond_without systemd
%endif

Requires: amavisd-new sendmail-milter
%{?with_systemd:%{?systemd_requires}}

BuildRequires: sendmail-devel

%description
amavisd-milter is a milter (mail filter) for amavisd-new 2.4.3 and above which uses the AM.PDP protocol.
It has been tested to work with mail servers sendmail 8.13+ and postfix 2.9+

%prep
%setup -n %{name}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{?with_sysvinit:%{__install} -D -m0755 %{SOURCE2} %{buildroot}%{_initrddir}/amavisd-milter}
%{?with_systemd:%{__install} -D -m0644 %{SOURCE3} %{buildroot}%{_unitdir}/amavisd-milter.service}
%{__install} -D -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/amavisd-milter

%clean
%{__rm} -rf %{buildroot}

%pre

%post
%{?with_sysvinit:/sbin/chkconfig --add amavisd-milter}
%{?with_systemd:%systemd_post amavisd-milter.service}

%preun
%if %{with sysvinit}
if [ $1 -eq 0 ] ; then
    /sbin/service amavisd-milter stop &>/dev/null || :
    /sbin/chkconfig --del amavisd-milter
fi
%endif
%{?with_systemd:%systemd_preun amavisd-milter.service}

%postun
%if %{with sysvinit}
if [ $1 -ne 0 ]; then
    /sbin/service amavisd-milter condrestart &>/dev/null || :
fi
%endif
%{?with_systemd:%systemd_postun_with_restart amavisd-milter.service}

%files
%defattr(-, root, root, 0755)
%{?with_sysvinit:%config %{_initrddir}/amavisd-milter}
%{_sbindir}/amavisd-milter

%if %{with systemd}
%attr(0644, root, root) %{_unitdir}/*
%config(noreplace) %{_unitdir}/amavisd-milter.service
%endif

%attr(0644, root, root) %{_sysconfdir}/sysconfig/*
%config(noreplace) %{_sysconfdir}/sysconfig/amavisd-milter

%attr(0644, root, root) %{_mandir}/man8/*
%doc %{_mandir}/man8/amavisd-milter.8.*

%changelog
* Wed Dec 16 2015 Peter Ajamian <pj@ghettoforge.org> - 1.6.1-1
- Separate out init and conf files
- Add systemd support
- Rebuild for el6 and 7

* Sun Jan 20 2013  Jo Rhett
- Created for version 1.5.0
